Ask Kevin is smarter.
OmniDimension
Phone numbers

Import Exotel number

Import an Exotel number by providing your Exotel credentials.

POST/phone_number/import/exotel
Body
7 fields
·

Exotel phone number in E.164 format.

Your Exotel API key.

Your Exotel API token.

Your Exotel subdomain (e.g. `your-account.in.exotel.com`).

Your Exotel account SID.

The Exotel App ID configured for the bot.

Optional friendly name for the imported number.

curl -X POST 'https://backend.omnidim.io/api/v1/phone_number/import/exotel' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "exotel_phone_number": "+919876543210"
}'
Example response
{
  "success": true,
  "message": "Number added successfully",
  "id": 3360
}

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token authentication. Obtain your API key from the OmniDimension dashboard.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json